<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.yes_member.fragment.YesMemberFragment">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/mToolbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:background="@color/colorPrimaryDark"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:visibility="gone"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ic_left_back" />

        <ImageView
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_gravity="center"
            android:src="@drawable/ic_yes_member" />


        <ImageView
            android:id="@+id/btn_notification"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_gravity="end"
            android:layout_marginEnd="@dimen/margin_2x_size"
            android:src="@drawable/ic_notification"
            app:tint="@color/white" />

    </androidx.appcompat.widget.Toolbar>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:nestedScrollingEnabled="false"
        android:scrollbars="none"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/mToolbar">


        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="0dp">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/frame_info"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_2x_size"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">


                <ImageView
                    android:id="@+id/iv_notify"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_marginStart="@dimen/margin_1x_size"
                    android:src="@drawable/ic_notification"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_notify"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/margin_1x_size"
                    android:ellipsize="marquee"
                    android:fadingEdge="horizontal"
                    android:focusable="true"
                    android:focusableInTouchMode="true"
                    android:singleLine="true"
                    android:marqueeRepeatLimit="marquee_forever"
                    android:maxLines="1"
                    android:text="Top up 5 USD each month to hhhhhhbecome a yes member."
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toStartOf="@+id/top_up"
                    app:layout_constraintStart_toEndOf="@id/iv_notify"
                    app:layout_constraintTop_toTopOf="parent" />

                <com.seatel.mobilehall.util.customview.CustomButton
                    android:id="@+id/top_up"
                    android:layout_width="wrap_content"
                    android:layout_height="35dp"
                    android:layout_marginEnd="@dimen/margin_1x_size"
                    android:background="@drawable/bg_button_primary"
                    android:gravity="center"
                    android:paddingStart="@dimen/margin_2x_size"
                    android:paddingEnd="@dimen/margin_2x_size"
                    android:text="Top Up Now"
                    android:textColor="@color/white"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/constraintLayout2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="@dimen/margin_2x_size"
                app:layout_constraintTop_toBottomOf="@+id/frame_info">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/frame_yes_coins"
                    android:layout_width="match_parent"
                    android:layout_height="150dp"
                    android:background="@drawable/bg_yes_member"
                    android:backgroundTint="@android:color/darker_gray"
                    android:gravity="center_vertical"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">


                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/margin_2x_size"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/btn_coin"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">


                        <ImageView
                            android:id="@+id/iv_coin_banner"
                            android:layout_width="100dp"
                            android:layout_height="50dp"
                            android:src="@drawable/ic_coins"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:id="@+id/tv_coin_earn"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:text="Your coins 800"
                            android:textColor="@color/white"
                            android:textSize="20sp"
                            android:textStyle="bold"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/iv_coin_banner" />

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:id="@+id/tv_coin_description"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:text="200 coins will expire on 31 Dec 24 "
                            android:textColor="@color/white"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/tv_coin_earn" />

                    </androidx.constraintlayout.widget.ConstraintLayout>


                    <com.seatel.mobilehall.util.customview.CustomButton
                        android:id="@+id/btn_coin"
                        android:layout_width="wrap_content"
                        android:layout_height="35dp"
                        android:layout_marginEnd="@dimen/margin_2x_size"
                        android:layout_marginBottom="@dimen/margin_2x_size"
                        android:background="@drawable/bg_button_primary"
                        android:backgroundTint="@color/white"
                        android:gravity="center"
                        android:paddingStart="@dimen/margin_2x_size"
                        android:paddingEnd="@dimen/margin_2x_size"
                        android:text="View More >>>"
                        android:textColor="@color/colorPrimary"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent" />


                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/frame_yes_partner"
                    android:layout_width="match_parent"
                    android:layout_height="150dp"
                    android:layout_marginTop="@dimen/margin_2x_size"
                    android:background="@drawable/bg_yes_member"
                    android:backgroundTint="@android:color/darker_gray"
                    android:gravity="center_vertical"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/frame_yes_coins">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/margin_2x_size"
                        android:gravity="center_vertical"
                        android:orientation="vertical"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toStartOf="@+id/btn_partner"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <ImageView
                            android:id="@+id/iv_partner_banner"
                            android:layout_width="100dp"
                            android:layout_height="50dp"
                            android:src="@drawable/ic_yes_partner"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:id="@+id/tv_partner_title"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:text="All you can find here"
                            android:textColor="@color/white"
                            android:textSize="20sp"
                            android:textStyle="bold"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/iv_partner_banner" />

                        <com.seatel.mobilehall.util.customview.CustomTextView
                            android:id="@+id/tv_partner_description"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:text="Over 200+ yes partners"
                            android:textColor="@color/white"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/tv_partner_title" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <com.seatel.mobilehall.util.customview.CustomButton
                        android:id="@+id/btn_partner"
                        android:layout_width="wrap_content"
                        android:layout_height="35dp"
                        android:layout_marginEnd="@dimen/margin_2x_size"
                        android:layout_marginBottom="@dimen/margin_2x_size"
                        android:background="@drawable/bg_button_primary"
                        android:backgroundTint="@color/white"
                        android:gravity="center"
                        android:paddingStart="@dimen/margin_2x_size"
                        android:paddingEnd="@dimen/margin_2x_size"
                        android:text="View More >>>"
                        android:textColor="@color/colorPrimary"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent" />


                </androidx.constraintlayout.widget.ConstraintLayout>


            </androidx.constraintlayout.widget.ConstraintLayout>


            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/tvPartner"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_2x_size"
                android:text="Top yes Partner"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/extra_large_text_size"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/constraintLayout2" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerPartner"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:nestedScrollingEnabled="false"
                android:padding="@dimen/margin_2x_size"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tvPartner" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/tvPartnerCategory"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_2x_size"
                android:text="Categories"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/extra_large_text_size"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/recyclerPartner" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/RecyclerPartnerCategory"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:nestedScrollingEnabled="false"
                android:padding="@dimen/margin_2x_size"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tvPartnerCategory" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </ScrollView>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/qrCodeContainer"
        android:layout_width="80dp"
        android:layout_height="35dp"
        android:layout_marginEnd="@dimen/margin_2x_size"
        android:layout_marginBottom="@dimen/margin_2x_size"
        android:background="@drawable/rounded_corner"
        android:backgroundTint="@color/colorGray"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent">


        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/tv_scan"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_1x_size"
            android:paddingStart="@dimen/margin_1x_size"
            android:text="Scan"
            android:textColor="@color/white"
            android:textSize="@dimen/small_text_size"
            app:layout_constraintBottom_toBottomOf="@+id/iv_qrcode"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@+id/iv_qrcode" />

        <ImageView
            android:id="@+id/iv_qrcode"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/margin_1x_size"
            android:paddingEnd="@dimen/margin_1x_size"
            android:src="@drawable/ic_qrcode"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:tint="@color/white" />


    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton
        android:id="@+id/extended_fab"
        android:layout_width="100dp"
        android:layout_height="0dp"
        android:layout_margin="16dp"
        android:backgroundTint="@android:color/darker_gray"
        android:contentDescription="Scan"
        android:drawableEnd="@drawable/ic_qrcode"
        android:drawableTint="@color/white"
        android:paddingStart="@dimen/margin_2x_size"
        android:text="Scan"
        android:textAllCaps="false"
        android:textColor="@color/white"
        android:textSize="@dimen/extra_small_text_size"
        android:theme="@style/AppTheme"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>
